<?php
require_once __DIR__ . '/../../connect.php';
$driverID = filterRequest("driverID");

$sql = "SELECT 
    `id`, 
    `driverID`, 
    `paymentID`, 
    `dateCreated`, 
    `amount`, 
    `paymentMethod`, 
    `dateUpdated`, 
    (SELECT SUM(`amount`) 
     FROM `driverWallet` 
     WHERE `driverID` = '$driverID' 
     AND `dateCreated` >= DATE_SUB(NOW(), INTERVAL 1 WEEK)
    ) AS totalAmount
FROM `driverWallet`
WHERE `driverID` = '$driverID'
AND `dateCreated` >= DATE_SUB(NOW(), INTERVAL 1 WEEK)
ORDER BY `dateCreated` DESC;
";
$stmt = $con->prepare($sql);
$stmt->execute();

if ($stmt->rowCount() > 0) {
    // Fetch the record
    $row = $stmt->fetchAll(PDO::FETCH_ASSOC);

    jsonSuccess($row);
    
}
    else{
    // Print a failure message
    jsonError($message = "No wallet record found");
}
?>